Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## rdlc.error
Enum Error.Phase

    java.lang.Object
      java.lang.Enum<Error.Phase>
          rdlc.error.Error.Phase

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Error.Phase>

Enclosing class:
  Error

    public static enum Error.Phase

extends java.lang.Enum<Error.Phase>

Iterator of the phases of compilation an error can occur in.

Version:
  $Revision: 1.13 $
Author:
  Greg Gibeling

Enum Constant Summary
`BackEnd`
`Bind`
`FrontEnd`
`Lex`
`Parse`
`Plugin`
`ResolveDynamic`
`ResolveStatic`
`Test`
`Unknown`

Method Summary
`static Error.Phase` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Error.Phase[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Unknown

    public static final Error.Phase Unknown

### FrontEnd

    public static final Error.Phase FrontEnd

### Lex

    public static final Error.Phase Lex

### Parse

    public static final Error.Phase Parse

### Bind

    public static final Error.Phase Bind

### ResolveStatic

    public static final Error.Phase ResolveStatic

### ResolveDynamic

    public static final Error.Phase ResolveDynamic

### BackEnd

    public static final Error.Phase BackEnd

### Plugin

    public static final Error.Phase Plugin

### Test

    public static final Error.Phase Test

Method Detail

### values

    public static final Error.Phase[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Error.Phase c : Error.Phase.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Error.Phase valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD